%define xorg_ver %(pkg-config xorg-server --modversion|cut -d. -f 1-2)
Name:          xf86-video-trident
Version:       1.4.0
Release:       1mamba
Summary:       Trident video driver for X.org
Group:         System/X11
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.x.org/wiki/
Source:        https://www.x.org/archive//individual/driver/xf86-video-trident-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Provides:      xorgdrvvideo
Requires:      xorg-server >= %{xorg_ver}
Requires:      xorg-server <= %{xorg_ver}.255

%description
Trident video driver for X.org.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/trident_drv.so
%{_mandir}/man4/trident.4*
%doc COPYING

%changelog
* Sat Feb 25 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-1mamba
- package created using the webbuild interface
